Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.configuration.plist
Interface PropertyListParserConstants

All Known Implementing Classes:
  PropertyListParserTokenManager

    public interface PropertyListParserConstants

Token literal values and constants. Generated by org.javacc.parser.OtherFilesGen#start()

Field Summary
`static int` | `ARRAY_BEGIN` RegularExpression Id.
`static int` | `ARRAY_END` RegularExpression Id.
`static int` | `ARRAY_SEPARATOR` RegularExpression Id.
`static int` | `DATA` RegularExpression Id.
`static int` | `DATA_END` RegularExpression Id.
`static int` | `DATA_START` RegularExpression Id.
`static int` | `DATE` RegularExpression Id.
`static int` | `DATE_START` RegularExpression Id.
`static int` | `DEFAULT` Lexical state.
`static int` | `DICT_BEGIN` RegularExpression Id.
`static int` | `DICT_END` RegularExpression Id.
`static int` | `DICT_SEPARATOR` RegularExpression Id.
`static int` | `EOF` End of File.
`static int` | `EQUAL` RegularExpression Id.
`static int` | `ESCAPED_QUOTE` RegularExpression Id.
`static int` | `HEXA` RegularExpression Id.
`static int` | `LETTER` RegularExpression Id.
`static int` | `QUOTE` RegularExpression Id.
`static int` | `QUOTED_STRING` RegularExpression Id.
`static int` | `STRING` RegularExpression Id.
`static String[]` | `tokenImage` Literal token values.
`static int` | `WHITE` RegularExpression Id.

Field Detail

### EOF

    static final int EOF

  End of File.

  See Also:
    Constant Field Values

### ARRAY_BEGIN

    static final int ARRAY_BEGIN

  RegularExpression Id.

  See Also:
    Constant Field Values

### ARRAY_END

    static final int ARRAY_END

  RegularExpression Id.

  See Also:
    Constant Field Values

### ARRAY_SEPARATOR

    static final int ARRAY_SEPARATOR

  RegularExpression Id.

  See Also:
    Constant Field Values

### DICT_BEGIN

    static final int DICT_BEGIN

  RegularExpression Id.

  See Also:
    Constant Field Values

### DICT_END

    static final int DICT_END

  RegularExpression Id.

  See Also:
    Constant Field Values

### DICT_SEPARATOR

    static final int DICT_SEPARATOR

  RegularExpression Id.

  See Also:
    Constant Field Values

### EQUAL

    static final int EQUAL

  RegularExpression Id.

  See Also:
    Constant Field Values

### DATA_START

    static final int DATA_START

  RegularExpression Id.

  See Also:
    Constant Field Values

### DATA_END

    static final int DATA_END

  RegularExpression Id.

  See Also:
    Constant Field Values

### DATE_START

    static final int DATE_START

  RegularExpression Id.

  See Also:
    Constant Field Values

### QUOTE

    static final int QUOTE

  RegularExpression Id.

  See Also:
    Constant Field Values

### LETTER

    static final int LETTER

  RegularExpression Id.

  See Also:
    Constant Field Values

### WHITE

    static final int WHITE

  RegularExpression Id.

  See Also:
    Constant Field Values

### HEXA

    static final int HEXA

  RegularExpression Id.

  See Also:
    Constant Field Values

### DATA

    static final int DATA

  RegularExpression Id.

  See Also:
    Constant Field Values

### DATE

    static final int DATE

  RegularExpression Id.

  See Also:
    Constant Field Values

### STRING

    static final int STRING

  RegularExpression Id.

  See Also:
    Constant Field Values

### QUOTED_STRING

    static final int QUOTED_STRING

  RegularExpression Id.

  See Also:
    Constant Field Values

### ESCAPED_QUOTE

    static final int ESCAPED_QUOTE

  RegularExpression Id.

  See Also:
    Constant Field Values

### DEFAULT

    static final int DEFAULT

  Lexical state.

  See Also:
    Constant Field Values

### tokenImage

    static final String[] tokenImage

  Literal token values.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 The Apache Software Foundation. All Rights Reserved.